Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get customer connection mapping

Prev Next
Get
/network/customers/{customerId}/mapping

Returns the connection mapping of a Customer, i.e. the credentials (username and password) and the payload format that must be used to establish the connection with the cloud on behalf of that customer.
It is typically used to configure a gateway that publishes the data of all the things of the customer.
Required permissions: READ_CUSTOMER, READ_CONNECTION_MAPPING.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
customerId
stringRequired

The customer identifier.

Minimum1.0
Exampleabcd1234
Responses
200

Successful operation.

object
username
string

The username required to establish the connection with the cloud.

password
string

The password required to establish the connection with the cloud.

type
string
Valid values[ "SEMIOTY_THING_CONNECTOR", "EDC", "LEMONBEAT", "AZURE_SERVICE_BUS", "ALLEANTIA" ]
payloadFormat
string

The payload format of the messages exchanged with the cloud (default JSON).

Valid values[ "JSON" ]
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error